scc

simple c99 compiler
git clone git://git.simple-cc.org/scc
Log | Files | Refs | Submodules | README | LICENSE

commit 4e728dc6a09b4fbfb6f6406a743b50f4306b1f6e
parent aec9716e90c2ff2e6c1e2b6c666160e8c99ca683
Author: Roberto E. Vargas Caballero <k0ga@shike2.com>
Date:   Thu,  7 Sep 2017 10:51:33 +0100

[tests] Force to use hard tabs

tabs doesn't work if the tty is not configured to use hardware tabs.
In this patch is also included an additional quoting for [] characters.

Diffstat:
Mtests/execute/chktest.sh | 6++++--
1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/tests/execute/chktest.sh b/tests/execute/chktest.sh @@ -1,6 +1,8 @@ #!/bin/sh -trap 'tabs -8;rm -f a.out; exit 1' 0 1 2 3 15 +ttyflags=`stty -g` +trap "stty $ttyflags;tabs -8;rm -f a.out; exit 1" 0 1 2 3 15 +stty tabs tabs 40 ulimit -c 0 rm -f test.log @@ -12,5 +14,5 @@ do printf "%s" $state rm -f a.out (scc -Isysinclude $CFLAGS "$i" && ./a.out) 2>test.log && - echo [OK] || echo [FAILED] + echo "[OK]" || echo "[FAILED]" done